From 138b843e483db4b2f37653303f1c2345b2cac11f Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jul 04 2018 06:37:46 +0000
Subject: [PATCH 2/2] Update docs for package metadata API


Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/pyrpkg/pkginfo.py b/pyrpkg/pkginfo.py
index c9bdcc5..1fd7ba2 100644
--- a/pyrpkg/pkginfo.py
+++ b/pyrpkg/pkginfo.py
@@ -22,17 +22,16 @@ logger = logging.getLogger(__name__)
 
 
 class PackageMetadata(object):
-    """Package metadata"""
+    """Package metadata
+
+    :param repo: object of
+        :class:`PackageRepository <pyrpkg.pkgrepo.PackageRepository>`
+        representing underlying git repository.
+    :type repo: :class:`PackageRepository <pyrpkg.pkgrepo.PackageRepository>`
+    :param bool distgit_namespaced: namespace is enabled in dist-git or not.
+    """
 
     def __init__(self, repo, overwrite_target=None, distgit_namespaced=True):
-        """Initialization
-
-        :param repo: object of ``PackageRepo`` representing underlying package
-            repository.
-        :type repo: :class:`PackageRepository <pyrpkg.pkgrepo.PackageRepository>`
-        :param bool distgit_namespaced: whether namespace is enabled in
-            dist-git.
-        """
         self.repo = repo
         self.distgit_namespaced = distgit_namespaced
 

